View Issue Details

IDProjectCategoryView StatusLast Update
0022585mantisbttimelinepublic2017-04-18 12:14
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.3.0 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022585: Show timeline for specific user
Description

Feature to display a timeline widget in "view user page", showing recent actions performed by the specific user.

TagsNo tags attached.

Relationships

related to 0022590 closedcproensa Broken javascript and missing footer in My View Page 
related to 0022742 resolveddregad CVE-2017-7897: XSS in timeline_inc.php (affects my_view_page.php and view_user_page.php) 
related to 0022743 resolveddregad Timeline "More Events" button also acts as "Next" button 
child of 0022584 new Improve user page 

Activities

cproensa

cproensa

2017-03-26 10:59

developer   ~0056207

PR: https://github.com/mantisbt/mantisbt/pull/1071

dregad

dregad

2017-03-28 06:52

developer   ~0056235

Reopening as this code causes a PHP error to occur

[Tue Mar 28 06:44:38 2017] [error] [client x.x.x.x] PHP Fatal error:  Call to undefined function helper_url_query_string() in /srv/www/bugs/core/timeline_inc.php on line 109, referer: http://mantisbt.org/bugs/
cproensa

cproensa

2017-03-29 05:33

developer   ~0056251

Reopening as this code causes a PHP error to occur

https://github.com/mantisbt/mantisbt/pull/1075

Related Changesets

MantisBT: master a7a1fae7

2017-03-25 18:36:09

cproensa


Committer: vboctor Details Diff
Add user timeline to view user page

Display a timeline widget in "view user page", showing recent actions
performed by the specific user.

Fixes: 0022585
mod - view_user_page.php Diff File

MantisBT: master f34c367a

2017-03-29 08:29:31

cproensa


Committer: dregad Details Diff
Fix undefined function error

Introduced by e2d1de8a9f2fc5a7190efa252b2aa6df7e5c6310

Fixes 0022585, 22590

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/timeline_inc.php Diff File

Issue History

Date Modified Username Field Change
2017-03-26 10:28 cproensa New Issue
2017-03-26 10:28 cproensa Relationship added child of 0022584
2017-03-26 10:59 cproensa Note Added: 0056207
2017-03-26 11:00 cproensa Assigned To => cproensa
2017-03-26 11:00 cproensa Status new => assigned
2017-03-26 13:05 vboctor Category bugtracker => timeline
2017-03-27 11:26 vboctor Changeset attached => MantisBT master a7a1fae7
2017-03-27 11:26 cproensa Status assigned => resolved
2017-03-27 11:26 cproensa Resolution open => fixed
2017-03-27 11:26 cproensa Fixed in Version => 2.2.3
2017-03-27 11:29 vboctor Severity minor => feature
2017-03-27 11:29 vboctor Target Version => 2.3.0
2017-03-27 11:42 vboctor Fixed in Version 2.2.3 => 2.3.0
2017-03-28 06:52 dregad Status resolved => feedback
2017-03-28 06:52 dregad Resolution fixed => reopened
2017-03-28 06:52 dregad Note Added: 0056235
2017-03-29 05:33 cproensa Note Added: 0056251
2017-03-29 08:22 dregad Relationship added related to 0022590
2017-03-29 08:29 dregad Changeset attached => MantisBT master f34c367a
2017-03-29 08:29 cproensa Status feedback => resolved
2017-03-29 08:29 cproensa Resolution reopened => fixed
2017-04-01 00:13 vboctoradmin Status resolved => closed
2017-04-18 10:41 dregad Relationship added related to 0022742
2017-04-18 12:14 dregad Relationship added related to 0022743